- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# tower_user – create, update, or destroy Ansible Tower user

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- Create, update, or destroy Ansible Tower users. See https://www.ansible.com/tower for an overview.

## Requirements

The below requirements are needed on the host that executes this module.

- ansible-tower-cli >= 3.0.2

- ansible-tower-cli >= 3.2.0

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
auditor boolean | Choices: no ← yes | User is a system wide auditor.
email - / required |  | Email address of the user.
first_name - |  | First name of the user.
last_name - |  | Last name of the user.
password - |  | Password of the user.
state - | Choices: present ← absent | Desired state of the resource.
superuser boolean | Choices: no ← yes | User is a system wide administrator.
tower_config_file path |  | Path to the Tower config file.
tower_host string |  | URL to your Tower instance.
tower_password string |  | Password for your Tower instance.
tower_username string |  | Username for your Tower instance.
username - / required |  | The username of the user.
validate_certs boolean | Choices: no yes | Whether to allow insecure connections to Tower. If `no`, SSL certificates will not be validated. This should only be used on personally controlled sites using self-signed certificates. aliases: tower_verify_ssl

## Notes

Note

- If no config_file is provided we will attempt to use the tower-cli library defaults to find your Tower host information.

- config_file should contain Tower configuration in the following format host=hostname username=username password=password

## Examples

    - name: Add tower user
      tower_user:
        username: jdoe
        password: foobarbaz
        email: jdoe@example.org
        first_name: John
        last_name: Doe
        state: present
        tower_config_file: "~/tower_cli.cfg"

    - name: Add tower user as a system administrator
      tower_user:
        username: jdoe
        password: foobarbaz
        email: jdoe@example.org
        superuser: yes
        state: present
        tower_config_file: "~/tower_cli.cfg"

    - name: Add tower user as a system auditor
      tower_user:
        username: jdoe
        password: foobarbaz
        email: jdoe@example.org
        auditor: yes
        state: present
        tower_config_file: "~/tower_cli.cfg"

    - name: Delete tower user
      tower_user:
        username: jdoe
        email: jdoe@example.org
        state: absent
        tower_config_file: "~/tower_cli.cfg"

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Wayne Witzel III (@wwitzel3)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.